
= 3.22.0 - 8 June 2026 =

- Update: Made Compatible with PHP 8.5
- Update: Made Compatible with WordPress 7.0
- Update: Made Compatible with Elementor 4.1

= 3.21.4 - 12 May 2026 =

- Tweak: Added Hugeicons Autoloading.

= 3.21.3 - 27 April 2026 =

- Fix: Justified Grid widget Compatible with Elementor's Tabs & Accordion widgets.

= 3.21.2 - 06 April 2026 =

- Update: Made Compatible with Elementor 4.0

= 3.21.1 - 05 March 2026 =

- Fix: Template Conditions Manager security issue.
- Fix: Happy Clone security issue.

= 3.21.0 - 17 February 2026 =

- Fix: Resolved Archive Post image size issue.
- Update: Added 'Previous/Next' & 'Numbers and Previous/Next' option in Archive Post pagination.
- Update: Added Title, Meta & Readmore hover style controls in Archive Post.
- Update: Added Current Query option in Post List.
- Update: Added Offset control in Post List.
- Update: Added Category filter option in Post List.
- Update: Added Date format control in Post List.
- Update: Added Custom Meta Field support in Post List.
- Update: Added Item Counter Enable option in Taxonomy List.
- Update: Added Item Counter style option in Taxonomy List.

= 3.20.8 - 02 February 2026 =

- Fix: Age Gate & SVG Line Draw security issue.

= 3.20.7 - 19 January 2026 =

- Fix: Hotfix for happy clone issue.

= 3.20.6 - 15 January 2026 =

- Fix: Resolved Twitter Feed issue.
- Fix: Resolved Happy Clone issue.
- Update: Made Compatible with Elementor 3.34

= 3.20.4 - 17 December 2025 =

- Fix: Resolved Theme Builder Condition issue.
- Fix: Resolved Custom JS issue.

= 3.20.3 - 10 December 2025 =

- Fix: Event Calendar all day event issue.
- Update: Added Image & Video offset control in Mouse Cursor.
- Update: Made Compatible with WordPress 6.9

= 3.20.2 - 20 November 2025 =

- Update: Made Compatible with Elementor 3.33

= 3.20.1 - 15 September 2025 =

- Fix: Bug fixes and performance improvements.
- Update: Internal logic so that localhost is not consuming license seat.
- Update: Made Compatible with Elementor 3.32

= 3.20.0 - 26 August 2025 =

- New: Background Parallax Feature.
- Fix : Nav Menu svg icon render issue
- Update: HappyAddons dashboard widget search option added and filter option improved

= 3.19.0 - 13 August 2025 =

- New: Custom JS Feature.
- Fix: Will no longer prompt for Icon library updates if Elementor is sufficiently updated.
- Update: Happy Shapes compatible latest Elementor shape divider control.
- Update: Made Compatible with Elementor 3.31

= 3.18.1 - 14 July 2025 =

- Fix: Undefined variable maxitems Fixed
- Fix: Template loading issue on content switcher under certain conditions.
- Fix: Text Stroke feature issue with the Fixed button width feature.
- Update: Made Compatible with Elementor 3.30

= 3.18.0 - 16 June 2025 =

- New: SVG Draw widget.
- Update: DOMPurify js library update.

= 3.17.0 - 27 May 2025 =

- New: Introduced Autoloader which improves file loading process.
- Update: Made Compatible with Elementor 3.29.

= 3.16.5 - 14 May 2025 =

- Update: Made Compatible with Elementor Feature Optimized Markup

= 3.16.4 - 28 April 2025 =

- Fix: _load_textdomain_just_in_time issue with WordPress 6.8
- Fix: Resolved rowspan issue in the Data Table widget.
- Update: Made Compatible with WordPress 6.8

= 3.16.3 - 18 March 2025 =

- Tweak: Add template condition menu in new UI app bar.
- Fix: Mobile menu text color issue in the Nav Menu Widget.
- Fix: Resolved Title Tag vulnerability issue in the Post Title Widget.
- Fix: Resolved Title Tag vulnerability issue in the Page Title Widget.
- Update: Made Compatible with Elementor 3.28.

= 3.16.2 - 10 February 2025 =

- Tweak: Add fade effect in Slider & Image Carousel widget.
- Fix: plugin hook priority related issue

= 3.16.1 - 21 January 2025 =

- Update: Made Compatible with Elementor 3.27

= 3.16.0 - 20 January 2025 =

- New: Text Scroll widget.
- Tweak: Custom Effect option added to Liquid Hover Image widget
- Fix: Equal Height feature JavaScript error.
- Fix: Edge cases with script loading and dependencies.

= 3.15.2 - 24 December 2024 =

- Fix: XSS security on Happy Mouse Cursor feature.

= 3.15.1 - 15 December 2024 =

- Fix: Some edge cases with Happy Mouse Cursor feature.

= 3.15.0 - 02 December 2024 =

- New: Happy Mouse Cursor feature.

= 3.14.1 - 24 November 2024 =

- Fix: _load_textdomain_just_in_time issue with WordPress 6.7.1

= 3.14.0 - 19 November 2024 =

- New:  Reading Progress Bar feature.
- Tweak: Url support for 'post title' widget
- Tweak: Url support for 'page title' widget
- Tweak: Url support for 'post featured image' widget
- Tweak: Some improvement on 'post content' widget
- Tweak: Some improvement on 'post excerpt' widget

= 3.13.0 - 13 November 2024 =

- New:  Liquid Hover Image widget.
- New:  Integrated Hugeicons.
- Update:  Happy icon pack update.
- Fix: Text Stroke issue.

= 3.12.6 - 05 November 2024 =

- Fix: Security improvement for Image Compare widget.
- Fix: Warning with element Caching feature disabled.

= 3.12.5 - 21 October 2024 =

- Fix: All Widget compatible with Element Caching of Elementor.
- Fix: Floating Effects feature compatible with Element Caching of Elementor.
- Fix: Happy Tooltip feature compatible with Element Caching of Elementor.
- Fix: Equal Height feature compatible with Element Caching of Elementor.
- Fix: Grid Layer feature compatible with latest Elementor 3.24.x
- Fix: Fun Factor widget undefined variable issue.
- Fix: Age Gate widget button background issue.
- Fix: Gradient Heading widget rare issue.

= 3.12.4 - 9 October 2024 =

- New: Added WPML support to Lightbox widget.
- Fix: Security improvement for Theme builder.

= 3.12.3 - 19 September 2024 =

- Update: Made Compatible with Elementor 3.24
- Update: magnific-popup js updated to v1.2.0.
- Update: Updated Appsero SDK.
- Fix: Security improvement for Content Switcher widget.

= 3.12.2 - 5 September 2024 =

- Tweak: Promotional material added.

= 3.12.1 - 28 August 2024 =

- Fix: Event Calendar time format issue.
- Fix: Security improvement for Happy Tooltip.

= 3.12.0 - 12 August 2024 =

- New: Added WPML support for the following widgets: Age Gate, Archive Posts, Comparison Table, Event Calendar, Image Hover Effect, Image Stack Group, Animated Link, Photo Stack, Post Info, Post Navigation, Social Share, Post List, Taxonomy List.
- Fix: Additional Bug Fixes and Performance Improvements.

= 3.11.3 - 24 July 2024 =

- Update: Replaced waypoint.js with Intersection Observer for the following widgets: Number, Fun Factor, Skill Bars, Bar Chart
- Fix: Background Overlay feature issue on editor panel.
- Fix: Security improvement for PDF View widget.
- Fix: PHP warning in post excerpt widget.

= 3.11.2 - 27 June 2024 =

- Tweak: Lightbox widget Alignment option added.
- Fix: Security improvement for Gradient Heading widget.

= 3.11.1 - 12 June 2024 =

- Tweak: Taxonomy List Widget Alignment option added for inline style.
- Fix: Fatal error with BuddyBoss Platform.

= 3.11.0 - 30 May 2024 =

- New: Lightbox Widget.
- Fix: GravityForms style issue.
- Fix: Security improvement for Image Accordion widget.
- Fix: Security improvement for Post Navigation widget.

= 3.10.9 - 16 May 2024 =

- Fix: Security improvement for Skill Bars widget.

= 3.10.8 - 8 May 2024 =

- Fix: Security improvement for Event Calendar and Image Stack Group widget.

= 3.10.7 - 25 April 2024 =

- Fix: Security improvement for Calendly widget.

= 3.10.6 - 18 April 2024 =

- Fix: Security improvement for Site Title, Horizontal Timeline, Image Stack Group and Photo Stack widget.
- Update: Made Compatible with Elementor 3.21

= 3.10.5 - 4 April 2024 =

- Fix: Templates won't refresh on rare case.
- Fix: Icon size and Icon spacing in Content Switcher Widget.
- Fix: Security improvement for Calendly, Page Title, Post Title, Card, Gradient Heading and Review widget.
- Tweak: Container template support in Content Switcher Widget.
- Update: Security improvement for Happy Clone feature.
- Update: Made Compatible with WordPress 6.5 & Elementor 3.20

= 3.10.4 - 4 March 2024 =

- Fix: Dual Button widget breaks on container direction change issue
- Fix: The Data Table widget doesn't respect the scrolling option for Tablet mode issue.
- Fix: Mailchimp invalid API key issue.
- Fix: svg icon issue in Social Icon, Card and Image Stack Group widget.
- Fix: Security improvement for Archive Title, Author Meta and Photo Stack widget.
- Fix: The Image Compare widget is not visible on Frontend.
- Tweak: Scroll As Shown Slides option added in the Horizontal Timeline widget.
- Tweak: Scroll As Shown Slides option added in the Image Carousel widget.
- Update: Appsero SDK to version 2.0.0.
- Update: RTL support added to the Slider widget.
- Update: RTL support added to the Image Carousel widget.
- Update: RTL support added to the Horizontal Timeline widget.
- Update: Security improvement for Happy Clone feature.

= 3.10.3 - 28 February 2024 =

- Fix: Compatible with Elementor 3.19.x and Elementor Pro 3.19.x
- Fix: Elementor editor panel widget not showing up.
- Tweak: Minimum required PHP version 7.4
- Tweak: Minimum required Elementor version 3.7.0
- Tweak: Minimum required WordPress version 5.0

= 3.10.2 - 29 January 2024 =

- Fix: Event Calendar(Google Calendar) page crashing and throwing Critical Error issue.
- Fix: Security improvement for Happy Clone and Wrapper Link feature.
- Fix: Security improvement for Animated Link and Age Gate widget.

= 3.10.1 - 1 January 2024 =

- Fix: Security improvement for Age Gate widget.

= 3.10.0 - 19 December 2023 =

- New: Support for Equal Height in Container.
- Fix: Appsero SDK to version 1.2.5.
- Fix: Security improvement for Twitter Feed, Post Tab, Mailchimp and Review widget.
- Fix: Security improvement for Happy Clone and Theme Builder feature.
- Fix: Conflict identified with Events Tickets Plus.
- Fix: XSS security issue causing Scroll to Top issue.
- Fix: External link not working in Photo Stack widget.
- Fix: Styling issue with WPForms submit button.
- Fix: Template icon display problem in the container.
- Fix: Compatibility issue with WPML and Content Switcher widget.
- Tweak: Warning notice for News Ticker widget.

= 3.9.1.1 - 2 November 2023 =

- Fix: Emergency hotfix.

= 3.9.1 - 2 November 2023 =

- Fix: Age gate preview mode issue.
- Update: Made Compatible with Elementor Free 3.17.x & Elementor Pro 3.17.x

= 3.9.0 - 23 October 2023 =

- New: Age Gate widget.
- Fix: Conflict with Event Ticket Plus.
- Fix : Made compatible with latest Elementor & WordPress versions.
- Fix : Bug fixes and performance improvements.

= 3.8.9 - 13 September 2023 =

- Update: Made Compatible with Elementor Free 3.16.x & Elementor Pro 3.16.x

= 3.8.8 - 13 September 2023 =

- Update: Made Compatible with Elementor Free 3.16.1 & Elementor Pro 3.16.0.

= 3.8.7 - 4 September 2023 =

- Tweak: Remove "Edit + Happy Clone" finder category due to deprecations.
- Fix: PHP Warning issue fixed with Fun Factor widget.
- Fix: Use Global Typography for controls.

= 3.8.6 - 7 August 2023 =

- Update: Made Compatible with Elementor Free 3.15.1 & Elementor Pro 3.15.0.

= 3.8.5 - 14 June 2023 =

- Fix: Minor Fixes.
- Fix: Elementor compatibility tag updated.

= 3.8.4 - 11 April 2023 =

- New: Section features compatibility with container.
- Fix: Global color issue fixed with Info Box, LordIcon & Icon Box widget.
- Fix: Themebuilder widget compatible with Elementor experimental features.
- Fix: Safari compatibility for specific js.
- Fix: Nav Menu widget hamburger issues fixes.
- Fix: Minor bug fixes.

= 3.8.3 - 27 March 2023 =

- Update: Appsero client updated to `v1.2.3`.
- Fix: Specific fixes for Elementor cloud.

= 3.8.2 - 25 January 2023 =

- Fix: Minor Fixes.

= 3.8.1 - 11 January 2023 =

- Tweak: Removed `elementor/finder/categories/init` deprecated hook.
- Tweak: Removed `elementor/widgets/widgets_registered` deprecated hook.
- Fix: Image Sizing is not working on the Photo Stack widget.

= 3.8.0 - 26 December 2022 =

- New: Theme Builder feature.
- New: Site Logo widget.
- New: Site Title widget.
- New: Site Tagline widget.
- New: Nav Menu widget.
- New: Page Title widget.
- New: Post Title widget.
- New: Post Excerpt widget.
- New: Post Content widget.
- New: Featured Image widget.
- New: Author Box widget.
- New: Post Comments widget.
- New: Post Navigation widget.
- New: Post Info widget.
- New: Archive Title widget.
- New: Archive Posts widget.
- Tweak: Integrate Margin Control on Infobox Widget.
- Tweak: Photo Stack Group widgets images alt support added.
- Fix: Post Tab date format is not properly working.


= 3.7.2 - 20 November 2022 =

- Fix: Equal Height is not working on Tablet.
- Fix: Pricing Table's Feature title is not working with <br> tag.
- Fix: The Post Tab widget is showing all posts on the page load.
- Fix: The News Ticker widget display only 5 posts.

= 3.7.1 - 18 October 2022 =

- Tweak: Scroll To Top feature enhancements like customize the icon, text, and image, and enable or disable the feature for different devices. Plus, we've fixed the page refresh issue when making changes to the settings.
- Tweak: Horizontal scrolling on Data Table mobile responsive view.
- Tweak: Word Break Option Introduce on Data Table mobile responsive view.
- Tweak: Meta items Removal option in Post Tab Widget.
- Tweak: Advance Post Queries & Query ID integration with the Post Tab Widgets.
- Tweak: Info Box Widget, media position responsive control.
- Tweak: Price Table widget's title tag changing option added.
- Tweak: Add Phone Number field on the Team Member widget's social profile section.
- Tweak: Add Prefix & Suffix Spacing control in the Fun Factor widget.
- Tweak: Add Post ordering option with the Post Tab widget.
- Fix: Three sixty rotation & Taxonomy List are not working as a template.
- Fix: Post list excerpt not showing.

= 3.7.0 - 30 August 2022 =

- New: Scroll To Top - Feature
- Tweak: Introduce `elementor/widgets/register` hook for making it compatible with elementor 3.7.x

= 3.6.3 - 10 August 2022 =

- Tweak: Removed `Elementor\DB::is_built_with_elementor` deprecated method from Elementor 3.7.0.
- Fix: Post tab title tag issue
- Fix: Infobox lord icon render issue

= 3.6.2 - 5 July 2022 =

- Tweak: Horizontal Timeline Title Link
- Tweak: Added category support for product in the Post List widget
- Fix: Event Calendar link issue
- Fix: Logo Grid Insert Media From URL issue
- Fix: Content switcher switch direction responsive issue

= 3.6.1 - 13 June 2022 =

- Update: Happy Icon pack (added new 16 icons)
- Fix: Team Member URL issue
- Fix: Event Calendar issue
- Fix: Global Widget frontend broken issue
- Tweak: Added dynamic tag in Comparison Table

= 3.6.0 - 30 May 2022 =

- New: LordIcon widget
- Fix: Mixed content issue solve
- Fix: Team Member PHP warning notice
- Fix: Justified Grid row height issue
- Tweak: Added LordIcon support in Info Box & Icon Box widget
- Tweak: Dynamic date format set for post list and post tab widget
- Tweak: WPML support for creative button widget

= 3.5.2 - 26 April 2022 =

- New: Photo Stack widget
- Tweak: Added vertical and horizontal direction for Content switcher
- Tweak: Lower animation speed input option enable for all carousel widgets
- Fix: Justified Grid row height issue
- Fix: Gravity form display issue on editor
- Fix: Mailchimp success message show on corner case

= 3.5.1 - 29 March 2022 =

- Fix: Image Compare widget white space issue
- Fix: 360-degree widget mobile overlay issue

= 3.5.0 - 24 March 2022 =

- Tweak: Removed `_register_controls` deprecated method.
- Tweak: Replace `register_controls` with `register`.
- Tweak: Change default url for PDF Viewer.
- Fix: Miscellaneous deprecations.
- Fix: Setup Wizard redirection issue.
- Improve: Elementor 3.6.1 compatibility.

= 3.4.4 - 1 March 2022 =

- New: Double Opt In support for mailchimp widget.
- Tweak: Improve Slider on load behavior
- Tweak: Improve Image Carousel on load behavior
- Tweak: Comparison Table description field
- Tweak: Comparison Table add button style control for individual item

= 3.4.3 - 17 February 2022 =

- Tweak: Pdf Viewer Dynamic Link tag support
- Tweak: Creative Button Dynamic Link tag support for url
- Fix: Calendly Width fix

= 3.4.2 - 6 February 2022 =

- Tweak: Setup Wizard Performance Improvement

= 3.4.1 - 31 January 2022 =

- New: Comparison Table Widget
- Fix: Card widget alignment issue as global widget
- Fix: Dashboard Analytics Page issue

= 3.4.0 - 22 December 2021 =

- New: Happy Icons v6 (New 53 icons)
- New: Two new shape dividers added ( christmas, christmas 2 )
- Tweak: Pdf Viewer multiple viewer support in same page
- Fix: Happy Clone issue with template type

= 3.3.3 - 12 December 2021 =

- Fix: Social icon missing for viber
- Tweak: Pdf view add support for page selection

= 3.3.2 - 8 December 2021 =

- Code improvement

= 3.3.1 - 6 December 2021 =

- New: Pdf Viewer
- Fix: Image Stack Group icon size overflow issue
- Fix: Review Banner logic
- Fix: Post Tab widget undefined warning issue
- Tweak: Code improvement

= 3.3.0 - 27 October 2021 =

- New: Creative Button Widget
- Fix: Dashboard widget broken style
- Fix: Happy Tooltip JS optimization
- Fix: Privacy policy missing link in setup wizard
- Fix: MailChimp audience tags issue solve
- Fix: Dashboard widgets and features disable all issues.
- Tweak: Replace `_content_template` function with `content_template`.

= 3.2.2 - 29 September 2021 =

- Fix: Setup wizard asset loading
- Fix: Resolved an unexpected warning in admin area while debugging is enabled.
- Fix: Missing Template Engine icon in Elementor Editor.
- Fix: Icon Box widget Badge z-index reduced

= 3.2.1 - 23 September 2021 =

- Fix: Setup wizard improvement and cache issue resolved.

= 3.2.0 - 23 September 2021 =

- New: Setup Wizard for guided plugin configuration
- New: Widget Group in Dashboard
- New: Dashboard to show latest offer & news
- New: Widget uses analytics in Dashboard

= 3.1.0 - 25 August 2021 =

- New: Added disable option for Column Extended feature
- New: Added disable option for Text Stroke feature
- New: Added compatibility with PHP 8.0
- Fix: Icon Box badge z-index issue
- Remove: Alignment option from 360deg widget

= 3.0.1 - 8 August 2021 =

- Improve: Review Banner Logic
- Fix: Image Stack group default image missing issue
- Fix: Conflicts with Elementor "Border Type" style control

= 3.0.0 - 3 August 2021 =

- New: Image Stack Group Widget
- New: Image Accordion Widget
- New: Happy Tooltip feature
- New: Added Team Member widget Ligthbox option
- New: Added Horizontal Timeline Title HTML Tag control option
- New: Added Taxonomy List HTML Tag control option
- New: Added Post Tab Title HTML Tag control option
- New: Added News Ticker widget Post Title HTML Tag control option
- New: Added Carousel Widget Title & Subtitle HTML Tag control option
- New: Added Sliders Widget Title & Subtitle HTML Tag control option
- New: Added Global credential key dashboard. User can set credentials in settings panel and use it globally (Mailchimp Widget, Twitter Feed Widget)
- Update: Image Hover Effect Title HTML Tag control
- Update: All widgets Coding structure update
- Update: Happy select 2 control update
- Update: Mailchimp form alignment improved and optimized with some coding updates.
- Fix: Taxonomy List Select2 issue
- Fix: Post tab Select2 issue
- Fix: Post list Select2 issue
- Fix: News ticker Select2 issue
- Fix: Mailchimp Select2 issue
- Fix: Improve some style for compatibility on the content switcher

= 2.27.0 - 5 July 2021 =

- New: Content Switcher Widget

= 2.26.0 - 1 July 2021 =

- New: Prefix and Suffix option for the Fun Factor widget
- New: Link Target option added to Twitter Feed widget
- Tweak: Added Tag for subscriber lists in mailchimp widget
- Fix: Mailchimp integration instruction improved

= 2.25.0 - 16 June 2021 =

- New: Mailchimp Widget
- New: Added Lightbox support to Horizontal Timeline widget
- New: Image Hover Effect hover title html tag option added
- Tweak: Added html tag support to Horizontal Timeline description
- Tweak: Dynamic Tag support for Image Hover effect's image field
- Tweak: Modify select 2 control
- Fix: The Event Widget's events popups responsive issue

= 2.24.1 - 18 May 2021 =

- Tweak: Step Flow title html tag option increased
- Tweak: Gravity form ajax submit enable option
- Fix: Gravity form input height issue
- Fix: 360 Rotation widget fallback background color conflict issue

= 2.24.0 - 25 April 2021 =

- Tweak: Animated Link widget alignment control added
- Fix: Security patches
- Tweak: Removed `Elementor\Scheme_Typography` deprecated function
- Tweak: Happy Elementor Addons not active when Elementor doesn't meet minimum version requirements

= 2.23.0 - 12 April 2021 =

- New: Animated Link Widget
- New: Infobox widget media direction option
- Fix: Shape Divider issue

= 2.22.1 - 24 March 2021 =

- Fix: Elementor compatibility tag added

= 2.22.0 - 16 March 2021 =

- New: Image Hover Effect Widget
- Fix: Wrapper link issue

= 2.21.1 - 1 March 2021 =

- Fix: Happy Icons blank issue

= 2.21.0 - 28 February 2021 =

- New: Happy Icons v5 (33 new icons)
- New: Section Shape Divider (3 new Happy Shapes)
- Tweak: Removed unnecessary code from event calendar widget

= 2.20.0 - 18 February 2021 =

- New: Text stroke feature
- New: Event Calendar widget
- New: Happy particle effects disable option
- Tweak: Updated kses function to support more attributes
- Tweak: Added html tag support in Data Table widget
- Tweak: Added slider widget dots size control
- Tweak: Added carousel widget dots size control
- Fix: Shape divider spell
- Fix: Chart widgets console error
- Fix: Widget background overlay class mismatch issue
- Fix: Data Table widget compatibility issue with WPML

= 2.19.0 - 20 January 2021 =

- New: Features control panel
- New: Section Shape Divider - 18 custom shapes (Happy Shapes)
- Tweak: Improved elementor missing notice
- Fix: Misc css bug resolved

= 2.18.0 - 5 January 2021 =

- New: Tabs are sortable in Post Tab widget
- Tweak: Added Post tab widget tab hover cursor
- Fix: Equal height control rendering issue
- Fix: Horizontal Timeline inconsistency with Infinite loop

= 2.17.1 - 24 December 2020 =

- Fix: Wrapper link undefined url issue

= 2.17.0 - 23 December 2020 =

- New: Widget equal height feature
- New: Custom arrow icon control in Slider widget
- New: Custom arrow icon control in Carousel widget
- New: Custom arrow icon control in Horizontal timeline widget
- New: Slider arrow size control
- New: Carousel arrow size control
- New: Horizontal timeline arrow size control
- New: Horizontal timeline arrow horizontal position control
- Tweak: Updated Horizontal timeline widget default style
- Tweak: Added % unit in Slider arrow position controls
- Tweak: Added % unit in Carousel arrow position controls
- Tweak: Added % unit in Horizontal timeline arrow position control
- Tweak: Separated Floating effects JS handler from main JS file
- Fix: Slider arrow not hiding issue
- Fix: Carousel arrow not hiding issue

= 2.16.1 - 10 December 2020 =

- Fix: WordPress 5.6 compatibility
- Fix: Floating effect dependency loading only when activated
- Fix: Infobox button icon animation
- Fix: JS error in elementor editor

= 2.16.0 - 29 November 2020 =

- Added: Justified Grid lightbox disable option for mobile and tablet
- Added: Image Grid lightbox disable option for mobile and tablet
- Added: Justified Grid default filter select option
- Added: Image Grid default filter select option
- Added: Added .pot file
- Tweak: Improved Justified Grid and Image Grid base style
- Tweak: Improved Image Grid markup - removed extra inner div
- Tweak: Improved on demand assets loading
- Fix: Private page on demand assets loading issue
- Fix: Lightbox and Popup not working with wrapper link issue

= 2.15.0 - 4 November 2020 =

- New: Ready made page templates (Happy Templates)
- New: Horizontal TimeLine widget
- New: Social Share widget
- New: Happy Icons v4 (44 new icons)
- Tweak: Data Table row-cell text link option
- Fix: On Demand Assets Loading compatibility with WPML
- Fix: Post Tab widget compatibility with WPML
- Fix: News Ticker widget compatibility with WPML
- Fix: Pricing Table long feature text breaks into 2nd line issue
- Fix: Pricing Table default style and content issue
- Fix: Text domain inconsistency

= 2.14.3 - 12 October 2020 =

- Update: Appsero client updated to `v1.2.0`
- Tweak: Added Calendly pro feature notice
- Tweak: Added Calendly default username "happyaddons"
- Tweak: Common cached files are loaded once as internal css
- Fix: Card widget badge dynamic tag issue
- Fix: Happy templates popup button auto duplicate issue
- Fix: Removed duplicate On demand assets cache file enqueue
- Fix: Removed broken Review widget schema data
- Fix: Team member widget email envelope icon issue
- Fix: Removed forced open in new window for Logo grid widget

= 2.14.2 - 20 September 2020 =

- Fix: JS loading issue for non logged in users
- Fix: JS loading issue for logged in users
- Fix: All the JS dependent widgets with issue
- Fix: Editor loading issue

= 2.14.1 - 7 September 2020 =

- Fix: JS loading issue for non logged in users

= 2.14.0 - 3 September 2020 =

- New: Updated compatibility with WP 5.5.x
- New: Updated compatibility with Elementor 3.x.x
- New: Twitter feed timestamp settings
- Tweak: Removed unnecessary Elementor kit assets enqueue
- Tweak: Removed common image styles, instead added widget wise
- Fix: Templates compatibility issue with Elementor 3.x.x
- Fix: Script dependency order issue
- Fix: Card and Infobox delete issue
- Fix: Review widget spelling error

= 2.13.3 - 24 August 2020 =

- Fix: HappyAddons Pro assets loading issues
- Fix: Misc style issue

= 2.13.2 - 20 August 2020 =

- Tweak: Removed icons control workaround for HappyIcons
- Tweak: Removed assets loading hook priority
- Tweak: Improved Dual Button default style
- Fix: CSS Transform normal/hover mode not working on frontend issue
- Fix: Color change doesn't have any effect on SVG icon issue
- Fix: Card widget image size issue on Firefox and responsive mode

= 2.13.1 - 6 August 2020 =

- Fix: CSS Transform conflict issue

= 2.13.0 - 27 July 2020 =

- New: Data Table widget
- New: `happyaddons/extensions/grid_layer` hook to control Grid Layer
- New: `happyaddons/extensions/background_overlay` hook to control Background Overlay
- New: `happyaddons/extensions/wrapper_link` hook to control Wrapper Link
- New: `happyaddons/extensions/happy_clone` hook to control Happy Clone
- New: `happyaddons/extensions/adminbar_menu` hook to control Adminbar menu
- New: `happyaddons/extensions/floating_effects` hook to control Floating Effects
- New: `happyaddons/extensions/css_transform` hook to control CSS Transform
- New: `happyaddons/extensions/on_demand_cache` hook to control On Demand Assets Loading
- Tweak: Added CSS Transform hover state support
- Tweak: Added Stepflow direction arrow rotation support
- Tweak: Added Card button full width support
- Tweak: Added Card responsive image positioning
- Tweak: Restored justify alignment in all widgets
- Tweak: Improved base styles in all widgets
- Tweak: Removed widget control panel link from editor panel
- Tweak: Removed HappyAddons shortcut link from finder
- Tweak: Removed unnecessary css
- Tweak: Post List content on/off option
- Tweak: Post List feature image left & top show option
- Fix: Post List date issue
- Fix: WPML link translation issue

= 2.12.3 - 13 July 2020 =

- Tweak: Twitter feed widget icon updated
- Tweak: Twitter feed cache cleaner added
- Tweak: Twitter feed Error handling updated
- Tweak: Social link widget default value
- Fix: Fun factor animation issue
- Fix: Card widget default text spelling error
- Fix: Empty button rendering issue

= 2.12.2 - 10 June 2020 =

- Fix: Template library dark mode compatibility issue
- Fix: Fluent Forms styles issue

= 2.12.1 - 9 June 2020 =

- Fix: GravityForms widget issue causing elementor editor continuous loading

= 2.12.0 - 8 June 2020 =

- New: Happy Templates Library
- New: WP Fluent Forms widget

= 2.11.1 - 4 June 2020 =

- Fix: JS function backward compatibility issue
- Fix: `ha_get_feature_label` JS error issue in Pricing table

= 2.11.0 - 1 June 2020 =

- Tweak: Slide item link support for Carousel widget
- Tweak: Slide item link support for Slider widget
- Tweak: More html tags support for textarea/description type input
- Tweak: Advanced button support for Team Member widget
- Tweak: Restored default placeholder image
- Fix: Adminbar happy icon markup issue
- Fix: Carousel and Slider css issue
- Fix: SVG icon sizing issues in all widgets
- Fix: WPML support issue
- Fix: 360° widget default style

= 2.10.0 - 18 May 2020 =

- New: 360° Rotation widget
- New: Taxonomy List widget

= 2.9.0 - 29 April 2020 =

- New: WPML support for all widgets [Documentation](https://happyaddons.com/docs/happy-addons-for-elementor/happy-features/wpml-support-for-happyaddons-free/)

= 2.8.1 - 5 April 2020 =

- Tweak: Adminbar actions terms updated to more meaningful terms
- Fix: Floating effect not working on frontend
- Fix: Adminbar HappyAddons icon position

= 2.8.0 - 1 April 2020 =

- New: Post Tab widget
- New: Post List widget

= 2.7.3 - 31 March 2020 =

- Tweak: Custom attribute output support for all links
- Tweak: Added pro widgets awareness panel
- Fix: Missing styles issue on page/post clone
- Fix: Popup link not working with link issue
- Fix: Twitter feed issue

= 2.7.2 - 2 March 2020 =

- Fix: Dual Button space between buttons issue

= 2.7.1 - 23 February 2020 =

- Fix: Fun Factor broken markup issue

= 2.7.0 - 20 February 2020 =

- New: Twitter Feed widget
- New: Bar Chart widget
- New: Social Icons widget
- New: Grid Layer feature for designer
- New: Wrapper Link feature for section, column and widget
- Update: Dynamic Tags support in Carousel widget
- Update: Dynamic Tags support in Dual Button widget
- Update: Dynamic Tags support in Logo Grid widget
- Update: Dynamic Tags support in News Ticker widget
- Update: Dynamic Tags support in Pricing Table widget
- Update: Dynamic Tags support in Skills widget
- Update: Dynamic Tags support in Slider widget
- Update: Dynamic Tags support in Testimonial widget
- Fix: Pricing Table widget php warning

= 2.6.1 - 16 February 2020 =

- Fix: Conflict with Rank Math
- Fix: Fun Factor padding issue
- Fix: Stepflow inline editing issue
- Fix: Gravity Forms conditional field issue
- Fix: Inline editing issue in Elementor 2.9.*
- Fix: Select2 width collapse issue in Elementor 2.9.*

= 2.6.0 - 15 January 2020 =

- New: Fun Factor widget
- Update: Page break styling for Gravity Forms widget
- Update: Widgets help link added in "Need Help?" button
- Fix: Image Compare widget extra height issue
- Fix: Step Flow widget title link issue
- Fix: Gravity Forms styling issue
- Fix: Removed welcome notice in admin

= 2.5.0 - 24 December 2019 =

- New: Added Step Flow widget title heading level control
- Update: Tracking system update to comply with wp.org user privacy policy
- Fix: Dark mode Happy Effects heading color

= 2.4.2 - 12 December 2019 =

- Fix: Compatibility with Elementor 2.8.*
- Fix: Extension loading issue for non logged in users

= 2.4.1 - 10 December 2019 =

- Fix: News Ticket single post selection issue
- Fix: Blank icons controls JS error issue (it also fixes EA Table and Elementor FORM issue)
- Fix: Gravity Forms Elementor editor style issue

= 2.4.0 - 3 December 2019 =

- New: Happy Clone - (duplicate post/page from anywhere!)
- New: News Ticker Widget
- New: Fixed size controls in Elementor Button widget
- Fix: Badge offset responsive issue for Icon Box Widget
- Fix: Wrapper is rendered when icon/image is missing issue

= 2.3.0 - 20 November 2019 =

- New: Gravity Forms Widget
- New: Column Order control
- New: Custom Column Width control
- New: weForms section break styles
- Fix: weForms misc style issues

= 2.2.6 - 11 November 2019 =

- Fix: Conflict with Essential Addons causing PHP fatal error
- Fix: PHP cannot declare class `Happy_Addons\Elementor\Finder` issue

= 2.2.5 - 11 November 2019 =

- Tweak: Improved floating effects editing performance
- Fix: Text editor slow performance and rendering lag issue

= 2.2.4 - 8 November 2019 =

- Tweak: Improved on demand assets loading for Elementor theme builder
- Tweak: Improved support for 3rd party header, footer builders
- Fix: Dashboard php error for users with non admin or super admin roles

= 2.2.3 - 6 November 2019 =

- Tweak: Improved support for image optimization plugins. ex: Shortpixel Image Optimiser
- Tweak: Widgets default styles
- Fix: WPForms Pro compatibility issue
- Fix: Image border radius style issue

= 2.2.2 - 16 October 2019 =

- Fix: Widget Control Panel link issue

= 2.2.1 - 15 October 2019 =

- Fix: Text overflow issue in all widgets
- Fix: PHP 5.4 compatibility issue

= 2.2.0 - 7 October 2019 =

- Update: Style copy-paste support improved
- Fix: Image Grid image alt attribute value issue
- Fix: Justified Gallery image alt attribute value issue
- Fix: Skills Bar % sign visibility inconsistency issue

= 2.1.0 - 3 October 2019 =

- New: Widgets control panel link in Elementor Finder
- New: Widgets control panel link in Elementor editor panel
- Update: Added Dual Button layout (Stack and Queue layout)
- Fix: Image Grid and Justified Gallery filter issue for non english languages
- Fix: Justified gallery image alt attribute missing issue
- Fix: Dual Button responsive issue - using layout feature
- Fix: Dual Button default hover text color
- Fix: Widgets Control Panel navigation jump issue

= 2.0.0 - 24 September 2019 =

- New: Dashboard - Widgets Control Panel
- New: Image popup support for Justified Grid
- New: Image popup support for Image Grid
- Update: Improved HTML tag support for description and title fields
- Update: Added more icons in Happy Icons
- Update: Improved HTML escaping support for security
- Fix: Skill Bars admin label fix
- Fix: Missing style issue while copy-pasting widget style
- Fix: Happy Icons cache issue
- Fix: Admin bar menu spacing issue

= 1.5.0 - 27 August 2019 =

- New: Image Grid Widget
- New: Scheme data for Review Widget
- New: Background Overlay - global extension for any widget
- New: Step Flow Widget - direction arrow offset control
- New: Happy Icons - Custom icon font library
- Update: Dynamic Tags support
- Update: New icon manager support with backward compatibility
- Update: Step Flow Widget default view
- Update: On demand caching manager
- Fix: Review ratting icon missing issue
- Fix: Justified Grid Widget filter menu style issue
- Fix: Icon Box Widget badge style missing issue
- Fix: Global widget CSS class missing issue
- Fix: Section and global widget cache missing issue
- Fix: Step Flow arrow alignment issue
- Fix: Skill Bars Widget animation issue

= 1.4.1 - 6 August 2019 =

* Fix: Elementor frontend script dependency and console error issue

= 1.4.0 - 1 August 2019 =

* New: On demand asset loading
* New: On demand cached asset cleaning
* New: Step Flow Widget
* New: Calendly Widget
* New: Flip Box Widget
* New: Pricing Table Widget
* Update: Added animated number support to Number Widget
* Update: Added progress animation to Skill Bars Widget
* Update: Various widgets default styles
* Fix: Various responsive issue

= 1.3.1 - 24 July 2019 =

* Fix: Elementor 2.6.* version compatibility issue

= 1.3.0 - 23 July 2019 =

* New: Carousel Widget
* New: Slider Widget
* Update: Justified Grid Widget hover and animation effects
* Update: Typography scheme support for all FREE widgets
* Fix: Misc styling issue

= 1.2.1 - 18 July 2019 =

* Fix: Unnecessary JS and CSS loading issue fixed

= 1.2.0 - 16 July 2019 =

* New: Justified Grid Widget
* New: Logo Grid Widget
* New: Number Widget

= 1.1.1 =

* New: Testimonial Widget
* New: Floating Effects from -> to controller
* New: Hover animation effect in Card Widget image
* Update: Card Widget button default style
* Update: Dual Button Widget default style
* Fix: WP Forms style issue
* Fix: Card Widget editor mode JS error issue
* Fix: Dual Button Widget inline editing issue

= 1.1.0 =

* Fix: Minor issue fix

= 1.0.5 =

* New: Happy Effects (universal widget extension)
* New: CSS Transform (Happy Effects)
* New: Dual Button Widget
* Fix: Info box icon size issue
* Fix: Icon box icon size issue

= 1.0.4 =

* Fix: Card widget responsive issue
* Fix: Review widget responsive issue

= 1.0.3 =

* Update: Offset settings
* Fix: Offset responsive settings

= 1.0.2 =

* Update: Floating effects settings
* Update: Info box link updated to button
* Fix: Some minor styling issues

= 1.0.1 =

* Fix: Some minor issues

= 1.0.0 =

* New: Card Widget
* New: Gradient Heading Widget
* New: Info Box Widget
* New: Icon Box Widget
* New: Image Compare Widget
* New: Member Widget
* New: Review Widget
* New: Skill Bars Widget
* New: Contact Form 7 Widget
* New: Caldera Form Widget
* New: We Forms Widget
* New: WP Forms Widget
* New: Floating effects (check motion effect panel)
* Update: Plugin structure
* Update: Widgets CSS
* Fix: Card layout issue
* Fix: Contact Form 7 form deletion issue

= 0.0.1 =

* Initial release
